Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513870 - For VNC connection, characters '|' and '<' are both recognized as '>' in linux guests, while '<' and '>' are both recognized as '|' in windows guest
Summary: For VNC connection, characters '|' and '<' are both recognized as '>' in linu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
: 1534310 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 07:56 UTC by Gu Nini
Modified: 2018-04-11 00:46 UTC (History)
11 users (show)

Fixed In Version: qemu-kvm-rhev-2.10.0-19.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-11 00:46:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2018-04-10 22:54:38 UTC

Description Gu Nini 2017-11-16 07:56:39 UTC
Description of problem:
When input characters '|' and '<' in RHEL7.4/7.5 guests, the output are both '>'; while input characters '<' and '>' in RHEL7.4/7.5 guests, the output are both '|'.

Version-Release number of selected component (if applicable):
Host kernel: 3.10.0-765.el7.x86_64
Guest kernel: 3.10.0-766.el7.x86_64(7.5)  3.10.0-693.el7.x86_64(7.4)
Qemu: qemu-kvm-rhev-2.10.0-6.el7

How reproducible:
100%

Steps to Reproduce:
1. Start a RHEL7.4/7.5/Win2016 guest.
2. After the linux guest boots up, try to input characters '|' and '<'.
3. After the windows guest boots up, try to input characters '<' and '>'.


Actual results:
In step 2, the outputs are both '>'.
In step 3, the outputs are both '|'.

Expected results:
The outputs are the correct ones.

Additional info:

Comment 2 Gu Nini 2017-11-16 08:30:08 UTC
Please note the bug only occurs when connect the guest through vnc, while no the issue when connect it through spice.

Comment 3 Gu Nini 2017-11-24 08:02:49 UTC
No the bug problem on rhel7.4z qemu version qemu-kvm-rhev-2.9.0-16.el7_4.12.x86_64, so set the bug as regression.

Comment 5 Gu Nini 2017-11-27 04:36:35 UTC
In grub of the linux guest, '<' and '>' are recognized as '|' just like that for windows guest.

Comment 6 Guo, Zhiyi 2017-12-14 16:01:25 UTC
Seems this issue is introduced by Bug 1503128 - update reverse keymaps for qemu vnc server.
Test against qemu-kvm-rhev-2.10.0-4.el7.x86_64,no such issue happen.
Test against qemu-kvm-rhev-2.10.0-5.el7.x86_64, issue happens.

Test against qemu-img-rhev-2.10.0-11.el7.x86_64 from my part, issue only can be reproduced by vncviewer and cannot be reproduced with remote-viewer

Comment 7 Gerd Hoffmann 2018-01-12 09:09:45 UTC
*** Bug 1525436 has been marked as a duplicate of this bug. ***

Comment 9 CongLi 2018-01-15 06:23:59 UTC
*** Bug 1534310 has been marked as a duplicate of this bug. ***

Comment 10 Miroslav Rezanina 2018-02-02 12:39:44 UTC
Fix included in qemu-kvm-rhev-2.10.0-19.el7

Comment 12 Guo, Zhiyi 2018-02-05 08:51:26 UTC
Test against qemu-kvm-rhev-2.10.0-19.el7.x86_64

Client used:
vncviewer and remote-viewer

Steps:
1.Boot guest with qemu cli:
/usr/libexec/qemu-kvm -name input-test -m 4G \
-cpu EPYC,enforce \
-smp 2 \
-netdev tap,id=idinWyYp,vhost=on -device e1000,mac=42:ce:a9:d2:4d:d7,id=idlbq7eA,netdev=idinWyYp \
-uuid 215e11b2-a869-41b5-91cd-6a32a907be7e \
-device ich9-usb-uhci6 \
-drive file=/home/nfs/latest75.qcow2,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop
  -device ide-drive,drive=drive-scsi-disk0 \
-qmp unix:/tmp/input-port,server,nowait \
-monitor stdio \
-vnc :0 \
-S \
-serial unix:/tmp/console,server,nowait \
2. Connect desktop via vncviewer/remote-viewer, open a text editor and input | < >

Result:
On rhel7.5 guest, characters displayed in text editor is same as the input
Test result against windows 2016 guest is same as rhel7.5 guest

Comment 13 Guo, Zhiyi 2018-02-05 08:52:00 UTC
Verified per comment 12

Comment 15 Robert Hoo 2018-04-04 00:40:48 UTC
this issue can not reproduced on rhel7.5 rc3

Comment 17 errata-xmlrpc 2018-04-11 00:46:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104


Note You need to log in before you can comment on or make changes to this bug.